// Created By:
// Apple-Group Development Team
// http://www.apple-group.com
// March 2008

function createkey(key)
{
	return widget.identifier + "-" + key;
}

function savePreferences()
{
	widget.setPreferenceForKey(isArticle, createkey("show-articles"));
	widget.setPreferenceForKey(isAlt, createkey("alt-rows"));
	widget.setPreferenceForKey(style, createkey("style-type"));
	widget.setPreferenceForKey(feed.url, createkey("the-feed"));
}

function saveFeedPreference()
{
    widget.setPreferenceForKey(feed.url, createkey("the-feed"));
}

//Loads preferences and returns the saved feed
function loadPreferences()
{
	var apref = widget.preferenceForKey(createkey("show-articles"));
	var aelem = document.getElementById('articlesCheckBox');
	var rpref = widget.preferenceForKey(createkey("alt-rows"));
	var relem = document.getElementById('rowsCheckBox');
	var ppref = widget.preferenceForKey(createkey("style-type"));
	var pelem = document.getElementById('popup');
	var fpref = widget.preferenceForKey(createkey("the-feed"));
	
	if (apref == false) {
		isArticle = apref;
		aelem.checked = true;
	}
	else {
		isArticle = true;
		aelem.checked = false;
	}
	
	if (rpref == false) {
		isAlt = rpref;
		relem.checked = false;
	}
	else {
		isAlt = true;
		relem.checked = true;
	}
	
	if (ppref) {
		pelem.value = ppref;
		style = ppref;
	}
	else {
		style = defaultStyle;
		pelem.value = defaultStyle; 
	}
	
	if (fpref) {
		return fpref;
	}
	else {
		return NS_DF;
	}
}

function saveFavoritePreferences()
{
	widget.setPreferenceForKey('' + favoriteFeeds.length, createkey("favorite-0"));
	if (favoriteFeeds.length > 0) {
		for (var i = 0; i < favoriteFeeds.length; i++)
		{
			var f = favoriteFeeds[i];
			widget.setPreferenceForKey(f, createkey("favorite-" + (i+1)));
		}
	}
}

function loadFavoritePreferences(index)
{
	return widget.preferenceForKey(createkey("favorite-" + index));
}

function removePreferences()
{
	widget.setPreferenceForKey(null, createkey("show-articles"));
	widget.setPreferenceForKey(null, createkey("alt-rows"));
	widget.setPreferenceForKey(null, createkey("style-type"));
	removeFavorites();
}

function removeFavorites()
{
	var i = 0;
	
	var pref = widget.preferenceForKey(createkey("favorite-" + i));
	while (pref) {
		widget.setPreferenceForKey(null, createkey("favorite-" + i));
		i++;
		pref = widget.preferenceForKey(createkey("favorite-" + i));
	}
}